[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ati radeon 9000 et X



Ainsi parla ns le 032ème jour de l'an 2004:

> 
> > 
> > Hier soir j'ai installé le xfree 4.3 (issu de experimental) pour une
> > radeon 7500 en 5 minutes. Résultat: système stable, j'ai de bien
> > meilleurs perfs qu'avec dri-trunk (900 fps contre 600 avec
> > glxgears), et pas besoin de compiler des drivers exotiques (comme
> > ceux de gatos ou de ATI).
> 
> bonne nouvelle!
> 
> > 
> > Manip pour ce faire: 
> > 
> > - rajouter
> > deb http://http.us.debian.org/debian/ ../project/experimental main
> > contrib non-free
> > dans /etc/apt/sources.list
> > 
> 
> je suis en testing; est-ce que qu'en mettant X en experimental je ne
> vais pas me retrouver a devoir upgrader 245 packages? j'ai pas
> envie...

Non: les paquets de exp. ont une priorité forcée à 1, les paquet
"normaux" de 500, donc

- tu ne peux installer un paquet de exp qu'en forçant la version
(apt-get install tonpaquet=taversion) ou la distribution (apt-get
install tonpaquet/tadistribution), ce qui signifie que s'il y a des
dépendances à respecter, apt te dira que tu essaies de faire une
opération impossible (style le paquet X demande une version titi, mais
la version toto est installée) => tu ne basculeras jamais en
expérimental (je suis d'ailleurs toujours en sid ;)

- ton paquet de exp ne sera upgradé vers un paquet de testing que s'il
existe une version postérieure dans les dépôts => ton paquet de exp est
bien enraciné

- en cas de pb, tu downgrades facilement avec par exemple un apt-get
install tonpaquet/testing => possibilité de restauration facile

> > - tapotte "apt-get install xserver-xfree86=4.3.0-0pre1v5" pour
> > l'installer (tu seras obligé de forcer la version car les paquets de
> > experimental ont une priorité de 1).
> > 
> 
> comment faire pour "forcer"?

apt-get install xserver-xfree86/experimental

> > - assure toi que tu as les modules suivants de compilés: agpgart et
> > radeon
> > 
> 
> c'est fait

Bien ;)

> > - modifie ta config de xfree86 (voir fichier joint)
> > 
> 
> merci pourr le fichier
> 
> > et voilà (bon, peut-être qu'il te faudra installer d'autre paquets
> > de expérimental comme la libgl, tout dépend de ce qui est déjà
> > installé chez toi).

Après quelques tests, j'ai constaté que la meilleure libGL était celle
de dri-trunk, compatible xfree 4.3 (2003.10.05-2): celle de experimental
fait sauter trop de dépendances, celle de testing est moins récente.

> bon je vais m'y lancer dès que j'ai des réponses aux questions
> précedentes.

Alors à l'assaut :-D

-- 
  .,p**"*=b_   Nicolas Rueff
 ?P"  .__ `*b   Montbéliard  -  France
|P  .d?'`&, 9|   http://rueff.tuxfamily.org
M:  |}   |- H'   n.rueff@free.fr
&|  `#?_._oH'   +33 6 77 64 44 80
`H.   "`"`'   JB rueff@jabber.org 
 `#?.	    GPG 0xDD44DAB4 
   `^~.

We are Penguin. Resistance is futile. You will be assimilated.

Attachment: pgpXaSRoCesN7.pgp
Description: PGP signature


Reply to: